Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawablePushClipPath Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePushClipPath:
[legend]
Collaboration diagram for Magick::DrawablePushClipPath:
[legend]

## Public Member Functions
| DrawablePushClipPath (const std::string &id_)
| DrawablePushClipPath (const DrawablePushClipPath &original_)
| ~DrawablePushClipPath (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 478 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawablePushClipPath::DrawablePushClipPath | ( | const std::string & | id_ | ) |

Definition at line 321 of file Drawable.cpp.

Magick::DrawablePushClipPath::DrawablePushClipPath | ( | const DrawablePushClipPath & | original_ | ) |

Definition at line 326 of file Drawable.cpp.

Magick::DrawablePushClipPath::~DrawablePushClipPath | ( | void |  | ) |

Definition at line 331 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawablePushClipPath::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 340 of file Drawable.cpp.

void Magick::DrawablePushClipPath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 335 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp